# Puppyoma-FE

This is a fork of akkoma-FE, with support for new puppyoma features such as:
- nothing
- puppies

# For Translators

The [Weblate UI](https://translate.puppyoma.dev/projects/puppyoma/pleroma-fe/) is recommended for adding or modifying translations for puppyoma-FE.

Alternatively, edit/create `src/i18n/$LANGUAGE_CODE.json` (where `$LANGUAGE_CODE` is the [ISO 639-1 code](https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes) for your language), then add your language to src/i18n/messages.js if it doesn't already exist there.

puppyoma-FE will set your language by your browser locale, but you can temporarily force it in the code by changing the locale in main.js.

# FOR ADMINS

To use puppyoma-FE in a pleroma thing, build from source >:3 and then copy the build files from /dist to /static/frontends/pleroma-fe/stable on your server

## Build Setup

Make sure you have [Node.js](https://nodejs.org/) installed. You can check `/.woodpecker.yml` for which node version the puppyoma CI currently uses.

``` bash
# install dependencies
corepack enable
yarn

# serve with hot reload at localhost:8080
npm run dev

# build for production with minification
npm run build

# run unit tests
npm run unit
```

# Configuration

Edit config.json for configuration.

## Options

### Login methods

```loginMethod``` can be set to either ```password``` (the default) or ```token```, which will use the full oauth redirection flow, which is useful for SSO situations.
